;InnoSetupVersion=4.0.10

[Setup]
AppName=ScreenSwift
AppVerName=ScreenSwift 3.00
AppId=ScreenSwift
AppPublisher=Tenmiles Corporation
AppPublisherURL=http://www.tenmiles.com
AppSupportURL=http://www.tenmiles.com
AppUpdatesURL=http://www.tenmiles.com
AppMutex=ScreenSwift_m
DefaultDirName={pf}\ScreenSwift
DefaultGroupName=ScreenSwift
OutputBaseFilename=setup
Compression=zip
PrivilegesRequired=none
ChangesAssociations=yes
AllowNoIcons=yes
LicenseFile=embedded\License.txt
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{app}\ScreenSwift.exe"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{sys}\macromed\Flash\flash.ocx"; DestDir: "{sys}\macromed\Flash"; 
Source: "{app}\flash.ocx"; DestDir: "{app}"; 
Source: "{app}\mfc42.dll"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\msvcp60.dll"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\msvcrt.dll"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\Help\bullet.gif"; DestDir: "{app}\Help"; Flags: ignoreversion 
Source: "{app}\Help\guide.htm"; DestDir: "{app}\Help"; Flags: ignoreversion 
Source: "{app}\Help\index.htm"; DestDir: "{app}\Help"; Flags: ignoreversion 
Source: "{app}\Help\register.htm"; DestDir: "{app}\Help"; Flags: ignoreversion 
Source: "{app}\Help\sslogo.gif"; DestDir: "{app}\Help"; Flags: ignoreversion 
Source: "{app}\Help\topnav.swf"; DestDir: "{app}\Help"; Flags: ignoreversion 

[Registry]
Root: HKCR; Subkey: ".ssp"; ValueType: String; ValueData: "ScreenSwiftfile"; Flags: uninsdeletevalue 
Root: HKCR; Subkey: "ScreenSwiftfile"; ValueType: String; ValueData: "ScreenSwift File"; Flags: uninsdeletekey 
Root: HKCR; Subkey: "ScreenSwiftfile\DefaultIcon"; ValueType: String; ValueData: "{app}\ScreenSwift.exe,0"; 
Root: HKCR; Subkey: "ScreenSwiftfile\shell\open\command"; ValueType: String; ValueData: """{app}\ScreenSwift.EXE"" ""%1"""; 

[Run]
Filename: "{app}\ScreenSwift.exe"; Description: "Launch ScreenSwift"; Flags: postinstall skipifsilent nowait

[Icons]
Name: "{group}\ScreenSwift"; Filename: "{app}\ScreenSwift.exe"; 
Name: "{group}\Uninstall ScreenSwift"; Filename: "{uninstallexe}"; 
Name: "{userdesktop}\ScreenSwift"; Filename: "{app}\ScreenSwift.exe"; Tasks: desktopicon; 
Name: "{userappdata}\Microsoft\Internet Explorer\Quick Launch\ScreenSwift"; Filename: "{app}\ScreenSwift.exe"; Tasks: quicklaunchicon; 

[Tasks]
Name: "desktopicon"; Description: "Create a &desktop icon"; GroupDescription: "Additional icons:"; 
Name: "quicklaunchicon"; Description: "Create a &Quick Launch icon"; GroupDescription: "Additional icons:"; 

[Languages]
; These files are stubs
; To achieve better results after recompilation, use the real language files
Name: "default"; MessagesFile: "embedded\default.isl"; 
